Download it now!
Bug 86241 - Lotus unkn75 function
Summary: Lotus unkn75 function
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha2
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: filter:wks target:4.5.0 target:4.3.6
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-13 08:19 UTC by Urmas
Modified: 2015-04-16 15:39 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file (675 bytes, application/vnd.lotus-1-2-3)
2014-11-13 11:52 UTC, Urmas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2014-11-13 08:19:01 UTC
UNKN75 function seems to be the @TERM function.
Excel converts it from @TERM(a,b,c) to NPER(b, -a, c)
Comment 1 Urmas 2014-11-13 11:52:54 UTC
Created attachment 109403 [details]
Test file
Comment 2 Andras Timar 2014-11-24 12:50:55 UTC
It should be NPER(b, -a, 0, c) in fact.
Comment 3 Commit Notification 2014-11-24 15:06:06 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=70ae5bb4182a99c17da8eb32b36baec3e7a48723

import @TERM and @CTERM functions from Lotus 1-2-3 files (related: fdo#86241)

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Andras Timar 2014-11-24 15:10:08 UTC
"unkn75" comes from libwps which is an external library (cc Fridrich). If you rename the file to .wk1 extension, then internal Lotus filter will be invoked, which can import @TERM and @CTERM functions after my patch (sse above).
Comment 5 Commit Notification 2014-12-04 14:25:21 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=48801843d65ffa3e31196cabb36c597ff81c6d07&h=libreoffice-4-3

import @TERM and @CTERM functions from Lotus 1-2-3 files (related: fdo#86241)

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 osnola 2014-12-05 08:51:17 UTC
(In reply to Andras Timar from comment #4)
> "unkn75" comes from libwps which is an external library (cc Fridrich). If
> you rename the file to .wk1 extension, then internal Lotus filter will be
> invoked, which can import @TERM and @CTERM functions after my patch (sse
> above).
Concerning libwps, I just commit a patch to treat the TERM and CTERM functions:
https://sourceforge.net/p/libwps/code/ci/54a904f5144993d8a2e88aeebe11394053ac62d6
...
Comment 7 Andras Timar 2014-12-05 09:16:45 UTC
(In reply to osnola from comment #6)
> Concerning libwps, I just commit a patch to treat the TERM and CTERM
> functions:
> https://sourceforge.net/p/libwps/code/ci/
> 54a904f5144993d8a2e88aeebe11394053ac62d6
> ...

Thanks, I mark this as RESOLVED FIXED then.